=== debian/changelog ===
pyinsane (2.0.13-1) unstable; urgency=medium

  * Initial release (Closes: #741881)

 -- Thomas Perret <thomas.perret@phyx.fr>  Mon, 05 Nov 2018 10:28:43 +0100
