=== debian/control ===
Source: pyinsane
Section: python
Priority: optional
Maintainer: Thomas Perret <thomas.perret@phyx.fr>
Build-Depends: debhelper (>= 11), dh-python, python3-all, python3-setuptools, python3-nose, python3-pil, libsane
Standards-Version: 4.2.1
Homepage: https://gitlab.gnome.org/World/OpenPaperwork/pyinsane
Vcs-Browser: https://salsa.debian.org/openpaperwork-team/pyinsane
Vcs-Git: https://salsa.debian.org/openpaperwork-team/pyinsane.git

Package: python3-pyinsane
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, libsane
Description: Python library to access and use image scanners (Python 3)
 Python library to access and use image scanners using sane.
 It supports: flatbed, automatic document feeder, while scanning, can provide
 chunks of the image for on-the-fly preview
 .
 This package installs the library for Python 3.
