=== debian/tests/control ===
Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$ADTTMP" ; echo "Testing with $py:" ; $py -c "import pyinsane2; print(pyinsane2.__version__)" ; done
Depends: python3-all, python3-pyinsane
Restrictions: allow-stderr, superficial
