=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/archive\/(\d\S+)\/pyinsane.*\.tar\.gz/pyinsane-$1\.tar\.gz/g \
  https://gitlab.gnome.org/World/OpenPaperWork/pyinsane/tags?sort=updated_desc .*/archive/(\d\S+)/.*\.tar\.gz.*
